- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/create#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/create#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers/create#try-it)

Creates a student group member for a student group.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to create the student group or member for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `NOT_FOUND` if the student group does not exist or the user does not have access to the student group.
- `ALREADY_EXISTS` if the student group member already exists.
- `FAILED_PRECONDITION` if attempting to add a member to a student group that has reached its member limit.

### HTTP request

`POST https://classroom.googleapis.com/v1/courses/{courseId}/studentGroups/{studentGroupId}/studentGroupMembers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. The identifier of the course. |
| `studentGroupId` | `string` Required. The identifier of the student group. |

### Query parameters

| Parameters ||
|---|---|
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers#StudentGroupMember`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.studentGroups.studentGroupMembers#StudentGroupMember`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.rosters`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).